//CGfxPitchLines - [2020-04-13 11:57:46]
#ifndef _CGFXPITCHLINES_H_
#define _CGFXPITCHLINES_H_

#include "CGfxPitchLinePatch.h"

/*
001BCBC4 CGfxPitchLines::CGfxPitchLines()
001BCC10 CGfxPitchLines::~CGfxPitchLines()
001BC1B8 CGfxPitchLines::Init()
001BC1DC CGfxPitchLines::Initialise()
001BCB94 CGfxPitchLines::Shutdown()
001BCBB4 CGfxPitchLines::Get()
001BCEA4 CGfxPitchLines::AddRect(CFTTVector32,CFTTVector32,float,uchar,float)
001BD0D8 CGfxPitchLines::AddCircle(CFTTVector32,float,float,float,float)
001BD5E6 CGfxPitchLines::GetMaterial()
001BD5EA CGfxPitchLines::GetAtlas()
001BD5F0 CGfxPitchLines::GetPatch(uint,uint)
001BD620 CGfxPitchLines::GetBlank(uint)

0x60
*/

class CGfxPitchLines {
public:
  CGfxPitchLines();                                               // 001BCBC4
  ~CGfxPitchLines();                                              // 001BCC10
  static void Init();                                             // 001BC1B8
  void Initialise();                                              // 001BC1DC
  static void Shutdown();                                         // 001BCB94
  CGfxPitchLines* Get();                                          // 001BCBB4
  void AddRect(CFTTVector32, CFTTVector32, float, uchar, float);  // 001BCEA4
  void AddCircle(CFTTVector32, float, float, float, float);       // 001BD0D8
  int GetMaterial();                                              // 001BD5E6
  CFTTTexture* GetAtlas();                                        // 001BD5EA
  CGfxPitchLinePatch* GetPatch(uint u1, uint u2);                 // 001BD5F0
  CGfxPitchLinePatch* GetBlank(uint);                             // 001BD620

  FTTVector<CGfxPitchLinePatch> tVec_PLP_0;
  FTTVector<CGfxPitchLinePatch*> tVec_pPLP_14;
  FTTVector<TPitchLineRect> tVec_Rect_28;
  FTTVector<TPitchLineCircle> tVec_Circle_3C;
  int field_50;
  int field_54;
  CFTTTexture* pTexture_Atlas_58;
  int dMatId_Circle2dShader_5C;

  static CGfxPitchLines* ms_pInstance;
};

#endif  //_CGFXPITCHLINES_H_